### File

`packages/components/eui-page/components/eui-page-header/eui-page-header.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-page-header`
imports | `EuiTooltipDirective` `NgTemplateOutlet` `EUI_ICON` `EUI_BUTTON`
templateUrl | `./eui-page-header.component.html`

### Index

###### Properties
headerBodyContent pageHeaderBodyContent
###### Methods
Public onToggle
###### Inputs
collapsedLabel expandedLabel isCollapsed isCollapsible isHeaderMultilines label labelTooltip subLabel subLabelTooltip
###### Outputs
collapse
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

collapsedLabel
Type : `string`
Default value : `''`

expandedLabel
Type : `string`
Default value : `''`

isCollapsed
Type : `boolean`
Default value : `false`

isCollapsible
Type : `boolean`
Default value : `false`

isHeaderMultilines
Type : `boolean`
Default value : `false`

label
Type : `any`

labelTooltip
Type : `any`

subLabel
Type : `any`

subLabelTooltip
Type : `any`

### Outputs

collapse
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

Public onToggle
`onToggle()`
Returns : `void`

### Properties

headerBodyContent
Avoid using this property, use the `pageHeaderBodyContent` instead.
Type : `QueryList<EuiPageHeaderComponent>`
Decorators : `@ContentChild(undefined)`

pageHeaderBodyContent
Type : `QueryList<EuiPageHeaderBodyComponent>`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""